Skip to content

Create a custom field

Request

Define a new custom field for contacts or companies.

Security
bearerAuth
Bodyapplication/jsonrequired
namestringrequired

Field name.

Example:"Industry Vertical"
objectstringrequired

Whether this field applies to contacts or companies.

Enum:"lead""company"
Example:"lead"
orderinteger

Display order.

POST
/leads/api/custom-fields
curl -i -X POST \
  https://leadgen.grinfi.io/leads/api/custom-fields \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "Industry Vertical",
    "object": "lead",
    "order": 0
  }'

Responses

Custom field created.

Bodyapplication/json
uuidstring
team_idinteger
user_idinteger
namestring
Example:"Industry Vertical"
objectstring
Enum:"lead""company"
orderinteger
Response
{ "uuid": "string", "team_id": 0, "user_id": 0, "name": "Industry Vertical", "object": "lead", "order": 0 }